- [HTTP request](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/list#body.request_body)
- [Response body](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/list#body.aspect_1)

Lists information about the supported locations for this service.

This method lists locations based on the resource scope provided in the `https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/Shared.Types/ListLocationsRequest#FIELDS.name` field:

- **Global locations** : If `name` is empty, the method lists the public locations available to all projects.
- **Project-specific locations** : If `name` follows the format `projects/{project}`, the method lists locations visible to that specific project. This includes public, private, or other project-specific locations enabled for the project.

For gRPC and client library implementations, the resource name is passed as the `name` field. For direct service calls, the resource name is incorporated into the request path based on the specific service implementation and version.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west15 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-central2 us-east1 us-east4 us-east5 us-east7 us-south1 us-west1 us-west2 us-west3 us-west4 us-west8   
`GET https://memorystore.googleapis.com/v1/{name=projects/*}/locations`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The resource that owns the locations collection, if applicable. |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` A filter to narrow down results to a preferred subset. The filtering language accepts strings like `"displayName=tokyo"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160). |
| `pageSize` | `integer` The maximum number of results to return. If not set, the service selects a default. |
| `pageToken` | `string` A page token received from the `nextPageToken` field in the response. Send that page token to receive the subsequent page. |
| `extraLocationTypes[]` | `string` Optional. Do not use this field unless explicitly documented otherwise. This is primarily for internal usage. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/Shared.Types/ListLocationsResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/memorystore.read-write`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `memorystore.locations.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).